Jump to content
GreenSock

Search In
  • More options...
Find results that contain...
Find results in...

mjjbuk

BusinessGreen
  • Content Count

    7
  • Joined

  • Last visited

Community Reputation

0 Newbie

About mjjbuk

  • Rank
    Newbie
  1. This did it - My apologies, I didn't realise i had to register a plug-in in this way. Really appreciate your time.
  2. I maybe confused buy what you're asking me but i'm still getting the attached errors using the min files. Is this what you mean?
  3. That's what i did. And it fixed the 'line 138 unexpected keyword 'export' error' but not the other two errors. I'll keep trying things myself, I don't want to take up your time. Thanks.
  4. Thanks that fixed the line 138 unexpected keyword 'export' error. I still get the 2 gsap errors though.
  5. Interestingly just seen another error on the plug-in itself. See attached.
  6. Hi there - beginner with DrawSVG so please bear with me. I'm trying to use GSAP and the drawSVG plugin in Google web designer but I'm getting some run time errors in the browser. Firstly i'm importing GSAP3 from Google servers and the DrawSVG plugin locally here: <script id="js-gsap" src="https://s0.2mdn.net/ads/studio/cached_libs/gsap_3.0.1_min.js"></script> <script id="drawSVG" src="DrawSVGPlugin.js"></script> (Google don't host this plug-in yet) Secondly i'm trying to animate the target SVG with the following code: //draws all elements with the "draw-me" class applied with staggered start times 0.1 seconds apart tl.from(".draw-me", { duration: 1, stagger: 0.1, drawSVG: 1 }); The error i get in all browsers is: gsap_3.0.1_min.js:10 Invalid Invalid drawSVG tween 1. Missing plugin? gsap.registerPlugin() tween of undefined Missing plugin? gsap.registerPlugin() Even though I can see the plugin has been included in the packaged file when I preview in Google Web designer. Am i missing something obvious? Thank you.
×